> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fundingperpetuals.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List recent orders

> Returns newest orders first with a bounded opaque cursor.



## OpenAPI

````yaml /openapi.yaml get /v1/orders
openapi: 3.1.0
info:
  title: Funding Perpetuals API
  version: 1.0.0
  description: >-
    Programmatic access to Funding Perpetuals paper-trading challenge accounts.
    API trades use the same real order books and simulated execution engine as
    the web trading interface.
  contact:
    url: https://fundingperpetuals.com/support
servers:
  - url: https://developers.fundingperpetuals.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: General
  - name: Accounts
  - name: Markets
  - name: Positions
  - name: Orders
  - name: Fills
  - name: Strategy Orders
paths:
  /v1/orders:
    get:
      tags:
        - Orders
      summary: List recent orders
      description: Returns newest orders first with a bounded opaque cursor.
      operationId: listOrders
      parameters:
        - $ref: '#/components/parameters/AccountIdQuery'
        - name: limit
          in: query
          description: Orders per page.
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
        - name: cursor
          in: query
          description: Opaque cursor returned as `next_cursor` by the previous page.
          schema:
            type: string
            maxLength: 1024
        - name: status
          in: query
          description: Set to `working` for the complete bounded pending and resting set.
          schema:
            type: string
            enum:
              - working
      responses:
        '200':
          description: A page of orders.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderPage'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
        '503':
          description: A complete working-order snapshot is temporarily unavailable.
          headers:
            Retry-After:
              $ref: '#/components/headers/RetryAfter'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  parameters:
    AccountIdQuery:
      name: account_id
      in: query
      required: true
      description: Challenge account ID returned by `GET /v1/accounts`.
      schema:
        type: string
  schemas:
    OrderPage:
      type: object
      required:
        - data
        - has_more
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Order'
        has_more:
          type: boolean
        next_cursor:
          type: string
    ErrorEnvelope:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
    Order:
      type: object
      required:
        - id
        - account_id
        - market_id
        - provider
        - symbol
        - coin
        - type
        - mode
        - side
        - size
        - expected_price
        - leverage
        - margin_mode
        - reduce_only
        - status
        - requested_at
      properties:
        id:
          type: string
        account_id:
          type: string
        market_id:
          type: string
        provider:
          type: string
        symbol:
          type: string
        coin:
          type: string
        type:
          type: string
          enum:
            - market
            - limit
            - stop_market
            - stop_limit
            - take_market
            - take_limit
            - take_profit
            - liquidation
            - close_out
        mode:
          type: string
          enum:
            - market
            - limit
            - chase
            - stop_market
            - stop_limit
            - take_market
            - take_limit
            - take_profit
            - conditional
            - liquidation
            - close_out
        side:
          type: string
          enum:
            - buy
            - sell
        size:
          type: number
        initial_size:
          type: number
        filled_size:
          type: number
        expected_price:
          type: number
        fill_price:
          type: number
        trigger_price:
          type: number
        limit_price:
          type: number
        notional:
          type: number
        fee:
          type: number
        realized_pnl:
          type: number
        leverage:
          type: number
        margin_mode:
          type: string
          enum:
            - cross
            - isolated
        reduce_only:
          type: boolean
        time_in_force:
          type: string
          enum:
            - gtc
            - ioc
            - fok
            - gtd
        gtd_expires_at:
          type: number
        attached_take_profit_price:
          type: number
        attached_stop_loss_price:
          type: number
        chase_offset:
          type: number
        chase_cap_price:
          type: number
        trigger_market_id:
          type: string
        trigger_direction:
          type: string
          enum:
            - above
            - below
        target_position_id:
          type: string
        liquidity_role:
          type: string
          enum:
            - maker
            - taker
        partial_of_order_id:
          type: string
        partial_fill_root_order_id:
          type: string
        twap_order_id:
          type: string
        scaled_order_id:
          type: string
        status:
          type: string
          enum:
            - pending
            - filled
            - rejected
            - expired
            - resting
            - canceled
        reject_reason:
          type: string
        reject_rule_id:
          type: string
        requested_at:
          type: number
        settled_at:
          type: number
        canceled_at:
          type: number
    Error:
      type: object
      required:
        - code
        - message
        - request_id
      properties:
        code:
          type: string
        message:
          type: string
        request_id:
          type: string
          format: uuid
  responses:
    BadRequest:
      description: Invalid request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    Unauthorized:
      description: Missing, invalid, or revoked API key.
      headers:
        WWW-Authenticate:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    NotFound:
      description: Resource not found or not owned by the authenticated user.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RateLimited:
      description: A per-key, per-IP, or deployment request budget is exhausted.
      headers:
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  headers:
    RetryAfter:
      description: Seconds to wait before retrying.
      schema:
        type: integer
        minimum: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Funding Perpetuals API key
      description: API key beginning with `fp_live_`.

````